Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.dwrp
Class PollHandler

    java.lang.Object
      org.directwebremoting.dwrp.PollHandler

All Implemented Interfaces:
  Handler

Direct Known Subclasses:
  HtmlPollHandler, PlainPollHandler

    public class PollHandler

extends java.lang.Object
implements Handler

A Marshaller that output plain Javascript. This marshaller can be tweaked to output Javascript in an HTML context. This class works in concert with CallScriptConduit, they should be considered closely related and it is important to understand what one does while editing the other.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static java.lang.String` | `ATTRIBUTE_CALL_ID` How we stash away the results of the request parse
`static java.lang.String` | `ATTRIBUTE_LONGPOLL_SESSION_ID` We remember people that are in a long poll so we can kick them out
`static java.lang.String` | `ATTRIBUTE_PAGE` How we stash away the results of the request parse
`static java.lang.String` | `ATTRIBUTE_PARAMETERS` How we stash away the results of the request parse
`static java.lang.String` | `ATTRIBUTE_PARTIAL_RESPONSE` How we stash away the results of the request parse
`static java.lang.String` | `ATTRIBUTE_SESSION_ID` How we stash away the results of the request parse

Constructor Summary
`PollHandler(boolean plain)`

Method Summary
`void` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle a URL request that has been mapped to this Handler
`void` | `setActiveReverseAjaxEnabled(boolean activeReverseAjaxEnabled)` Are we doing full reverse ajax
`void` | `setAllowGetForSafariButMakeForgeryEasier(boolean allowGetForSafariButMakeForgeryEasier)`
`void` | `setConverterManager(ConverterManager converterManager)` Accessor for the DefaultCreatorManager that we configure
`void` | `setMaxWaitAfterWrite(int maxWaitAfterWrite)` Sometimes with proxies, you need to close the stream all the time to make the flush work.
`void` | `setPageNormalizer(PageNormalizer pageNormalizer)` Accessor for the PageNormalizer.
`void` | `setPollAndCometEnabled(boolean pollAndCometEnabled)` Deprecated. Use `setActiveReverseAjaxEnabled(boolean)`
`void` | `setScriptSessionManager(ScriptSessionManager scriptSessionManager)`
`void` | `setServerLoadMonitor(ServerLoadMonitor serverLoadMonitor)` Accessor for the server load monitor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_PARAMETERS

    public static final java.lang.String ATTRIBUTE_PARAMETERS

  How we stash away the results of the request parse

  See Also:
    Constant Field Values

### ATTRIBUTE_CALL_ID

    public static final java.lang.String ATTRIBUTE_CALL_ID

  How we stash away the results of the request parse

  See Also:
    Constant Field Values

### ATTRIBUTE_SESSION_ID

    public static final java.lang.String ATTRIBUTE_SESSION_ID

  How we stash away the results of the request parse

  See Also:
    Constant Field Values

### ATTRIBUTE_PAGE

    public static final java.lang.String ATTRIBUTE_PAGE

  How we stash away the results of the request parse

  See Also:
    Constant Field Values

### ATTRIBUTE_PARTIAL_RESPONSE

    public static final java.lang.String ATTRIBUTE_PARTIAL_RESPONSE

  How we stash away the results of the request parse

  See Also:
    Constant Field Values

### ATTRIBUTE_LONGPOLL_SESSION_ID

    public static final java.lang.String ATTRIBUTE_LONGPOLL_SESSION_ID

  We remember people that are in a long poll so we can kick them out

  See Also:
    Constant Field Values

Constructor Detail

### PollHandler

    public PollHandler(boolean plain)

Parameters:
  `plain` - Are we using plain javascript or html wrapped javascript

Method Detail

### handle

    public void handle(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException

  Description copied from interface: `Handler`
  Handle a URL request that has been mapped to this Handler

  Specified by:
    `handle` in interface `Handler`
  Parameters:
    `request` - The HTTP request data
    `response` - Where we write the HTTP response data
  Throws:
    `java.io.IOException` - If the write process fails

### setConverterManager

    public void setConverterManager(ConverterManager converterManager)

  Accessor for the DefaultCreatorManager that we configure

  Parameters:
    `converterManager` - The new DefaultConverterManager

### setServerLoadMonitor

    public void setServerLoadMonitor(ServerLoadMonitor serverLoadMonitor)

  Accessor for the server load monitor

  Parameters:
    `serverLoadMonitor` - the new server load monitor

### setPageNormalizer

    public void setPageNormalizer(PageNormalizer pageNormalizer)

  Accessor for the PageNormalizer.

  Parameters:
    `pageNormalizer` - The new PageNormalizer

### setScriptSessionManager

    public void setScriptSessionManager(ScriptSessionManager scriptSessionManager)

  Parameters:
    `scriptSessionManager` - the scriptSessionManager to set

### setPollAndCometEnabled

    public void setPollAndCometEnabled(boolean pollAndCometEnabled)

  Deprecated. Use `setActiveReverseAjaxEnabled(boolean)`

  Use `setActiveReverseAjaxEnabled(boolean)`

  Parameters:
    `pollAndCometEnabled` - Are we doing full reverse ajax

### setActiveReverseAjaxEnabled

    public void setActiveReverseAjaxEnabled(boolean activeReverseAjaxEnabled)

  Are we doing full reverse ajax

  Parameters:
    `activeReverseAjaxEnabled` - Are we doing full reverse ajax

### setAllowGetForSafariButMakeForgeryEasier

    public void setAllowGetForSafariButMakeForgeryEasier(boolean allowGetForSafariButMakeForgeryEasier)

  Parameters:
    `allowGetForSafariButMakeForgeryEasier` - Do we reduce security to help Safari

### setMaxWaitAfterWrite

    public void setMaxWaitAfterWrite(int maxWaitAfterWrite)

  Sometimes with proxies, you need to close the stream all the time to make the flush work. A value of -1 indicated that we do not do early closing after writes.

  Parameters:
    `maxWaitAfterWrite` - the maxWaitAfterWrite to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD